package cz.cuni.amis.pogamut.base.utils.logging.jmx;

import java.util.logging.LogRecord;

import javax.management.Notification;

public class JMXLogRecordNotification extends Notification {
	
	private static final long serialVersionUID = 7167453889653639394L;

	public static final String NOTIFICATION_TYPE = JMXLogRecordNotification.class.getClass().getName();
	
	private LogRecord logRecord = null;
	
	public JMXLogRecordNotification(Object source, long sequenceNumber, long timeStamp, String msg, LogRecord logRecord) {
		super(NOTIFICATION_TYPE, source, sequenceNumber, timeStamp, msg);
		this.logRecord = logRecord;
	}
	
	public LogRecord getLogRecord() {
		return logRecord;
	}

}
